﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Test
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);

                InMemoryFeatureLayer mapShapeLayer = new InMemoryFeatureLayer();
                mapShapeLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.FillSolidBrush.Color = GeoColor.FromArgb(125, 141, 255, 141);
                mapShapeLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.OutlinePen.Color = GeoColor.GeographicColors.DeepOcean;
                mapShapeLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                BaseShape feature1 = new EllipseShape(new PointShape(0, 30), 20, 10);
                feature1.Id = "MutlipointShape";
                mapShapeLayer.InternalFeatures.Add(feature1.Id, new Feature(feature1));

                LayerOverlay dynamicOverlay = new LayerOverlay("Master", false, TileType.MultipleTile);
                dynamicOverlay.Layers.Add("mapShapeLayer", mapShapeLayer);
                Map1.CustomOverlays.Add(dynamicOverlay);
            }
        }

        protected void btnDelete_Click(object sender, EventArgs e)
        {
            LayerOverlay overlay = ((LayerOverlay)Map1.CustomOverlays["Master"]);
            if (overlay.Layers.Contains("mapShapeLayer"))
            {
                overlay.Layers.Remove("mapShapeLayer");
                overlay.Redraw();
            }
        }
    }
}
